---
import AuthLayout from "@/auth/layouts/AuthLayout.astro";
import InputOutline from "@/shared/components/InputOutline.astro";
import { Image } from "astro:assets";
---

<AuthLayout title="Sign in">
  <div class="flex flex-col items-center justify-center h-full w-full">
    <div class="flex items-center justify-center py-4 w-full">
      <Image src="/favicon.png" alt="icon favicon" width={100} height={100} />
    </div>
    <form class="flex flex-col items-start justify-center mt-16 w-[400px] pl-4">
      <InputOutline
        label="Email"
        classCustom="my-4"
        inputProps={{ type: "email", name: "email" }}
      />
      <InputOutline
        label="Password"
        classCustom="my-4"
        inputProps={{
          type: "password",
          name: "password",
          autocomplete: "off",
        }}
      />
      <button
        type="button"
        class="bg-violet-600 hover:bg-violet-700 mt-8 py-2 px-8 rounded font-bold select-none"
      >
        Sign in
      </button>
    </form>
  </div>
</AuthLayout>
